//
//  ViewController.swift
//  MemoryGame
//
//  Created by Andres Käver on 12/10/2018.
//  Copyright © 2018 TalTech IT College - Andres Käver. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet var cardList: [UIButton]!
    
    var emojiChoices = ["🎃","👻","😈","👁"]
    
    var flipCount = 0 {
        didSet {
            labelForflips.text = "Flips: \(flipCount)"
        }
    }
    
    @IBOutlet weak var labelForflips: UILabel!
    
    @IBAction func cardClicked(_ sender: UIButton) {
        
        if let cardNumber = cardList.index(of: sender){
            let emoji = emojiChoices[cardNumber]
            print("Card number is: \(cardNumber)")
            flipCard(withEmoji: emoji, on: sender)
        } else {
            print("Unknown card was clicked with title: \(String(describing: sender.currentTitle))")
        }
        
    }
    
    func flipCard(withEmoji emoji: String, on button: UIButton) {
        if button.currentTitle == emoji {
            flipCount += 1
            button.setTitle("", for: UIControl.State.normal)
            button.backgroundColor = #colorLiteral(red: 0.9529411793, green: 0.6862745285, blue: 0.1333333403, alpha: 1)
        } else {
            button.setTitle(emoji, for: UIControl.State.normal)
            button.backgroundColor = #colorLiteral(red: 1.0, green: 1.0, blue: 1.0, alpha: 1.0)
        }
    }
    
}

